Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.util.xml
Class DocumentFilter

    java.lang.Object
      com.sun.msv.util.xml.DocumentFilter

All Implemented Interfaces:
  org.xml.sax.DocumentHandler

public class DocumentFilter
extends java.lang.Object
implements org.xml.sax.DocumentHandler

SAX DocumentHandler event interceptor. This object acts as a filter to DocumentHandler events. Derived class should override methods of interest and perform somethings.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`org.xml.sax.DocumentHandler` | `next`

Constructor Summary
`DocumentFilter(org.xml.sax.DocumentHandler next)`

Method Summary
`void` | `characters(char[] buf, int start, int len)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String name)`
`void` | `ignorableWhitespace(char[] buf, int start, int len)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setDocumentLocator(org.xml.sax.Locator loc)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String name, org.xml.sax.AttributeList atts)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    public org.xml.sax.DocumentHandler next

Constructor Detail

### DocumentFilter

    public DocumentFilter(org.xml.sax.DocumentHandler next)

Method Detail

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Specified by:
    `startDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Specified by:
    `endDocument` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String name,
                             org.xml.sax.AttributeList atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String name)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] buf,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Specified by:
    `characters` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] buf,
                                    int start,
                                    int len)
                             throws org.xml.sax.SAXException

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws org.xml.sax.SAXException

  Specified by:
    `processingInstruction` in interface `org.xml.sax.DocumentHandler`
  Throws:
    `org.xml.sax.SAXException`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator loc)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.DocumentHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD